POST
/pipelines/upload/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/upload/?name=<NAME>&description=<DESCRIPTION>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/upload/", params={"name": "<NAME>", "description": "<DESCRIPTION>", "project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/pipelines/upload/");url.search = new URLSearchParams({ name: "<NAME>", description: "<DESCRIPTION>", project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”name
required
string
description
required
string
project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
initial_setup
boolean
Set to true to create a default hello-world pipeline without uploading a YAML file. When true and no file is uploaded, the name is auto-generated.
Request Body
Section titled “Request Body”Media typemultipart/form-data
object
uploadfile
Pipeline YAML file to upload. Required when initial_setup is false or not provided.
string format: binary
Responses
Section titled “Responses”Pipeline updated or created successfully
Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
description
string
parameters
string
pipeline_id
string
runs
Array<object>
object
default_version_id
string
pipeline_type
string
created_at
string format: date-time
updated_at
string format: date-time
source
string
new_version_id
integer
errors
object
Example
{ "code": 200, "message": "Success", "data": { "id": 1555, "name": "helloworld-124-1731578705", "description": "initial pipeline", "parameters": "", "pipeline_id": "41593f2d-2376-4d66-b1e8-7cc54744e2f0", "runs": [], "default_version_id": "2bed88c1-f50f-4468-a223-48c39492bf33", "pipeline_type": "Argo", "created_at": "2024-11-14T10:05:05.835283Z", "updated_at": "2024-11-14T10:05:06.149908Z", "source": "pipeline", "new_version_id": 1791 }, "errors": {}}